Bug 433134 - selinux gives improper error messages upon su when $HOME contains spaces
selinux gives improper error messages upon su when $HOME contains spaces
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
8
i386 Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-16 13:17 EST by Anthony Stuckey
Modified: 2008-08-01 11:49 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-01 11:49:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anthony Stuckey 2008-02-16 13:17:03 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.12) Gecko/20080201 Firefox/2.0.0.12

Description of problem:
Script started on Sat 16 Feb 2008 12:04:27 PM CST
bash-3.2$ su - testuser1
Password:
/etc/selinux/targeted/contexts/files/file_contexts.homedirs:  line 39 has invali
d file type Data/Users/[^/]*/.+
/etc/selinux/targeted/contexts/files/file_contexts.homedirs:  line 40 has invali
d file type Data/Users/[^/]*/.gnome2(/.*)?
/etc/selinux/targeted/contexts/files/file_contexts.homedirs:  line 41 has invali
d file type Data/Users/[^/]*/.*/plugins/nppdf\.so.*
/etc/selinux/targeted/contexts/files/file_contexts.homedirs:  line 42 has invali
d file type Data/Users/[^/]*/.*/plugins/nprhapengine\.so.*
/etc/selinux/targeted/contexts/files/file_contexts.homedirs:  line 43 has invali
d file type Data/Users/[^/]*/.*/plugins/libflashplayer\.so.*
/etc/selinux/targeted/contexts/files/file_contexts.homedirs:  line 44 has invali
d file type Data/Users/[^/]*/((www)|(web)|(public_html))(/.+)?
/etc/selinux/targeted/contexts/files/file_contexts.homedirs:  line 45 has invali
d file type Data/Users/[^/]*/\.java(/.*)?
/etc/selinux/targeted/contexts/files/file_contexts.homedirs:  line 46 has invali
d file type Data/Users/[^/]*/\.galeon(/.*)?
/etc/selinux/targeted/contexts/files/file_contexts.homedirs:  line 47 has invali
d file type Data/Users/[^/]*/\.mozilla(/.*)?
/etc/selinux/targeted/contexts/files/file_contexts.homedirs:  line 48 has invali
d file type Data/Users/[^/]*/\.phoenix(/.*)?
/etc/selinux/targeted/contexts/files/file_contexts.homedirs:  line 49 has invali
d file type Data/Users/[^/]*/\.mozilla(/.*)?/plugins/libflashplayer\.so.*
/etc/selinux/targeted/contexts/files/file_contexts.homedirs:  line 50 has invali
d file type Data/Users/[^/]*/\.netscape(/.*)?
/etc/selinux/targeted/contexts/files/file_contexts.homedirs:  line 51 has invali
d file type Data/Users/[^/]*/\.gstreamer-.*/[^/]*\.so.*
/etc/selinux/targeted/contexts/files/file_contexts.homedirs:  line 52 has invali
d file type Data/Users/[^/]*/\.config/gtk-.*
/etc/selinux/targeted/contexts/files/file_contexts.homedirs:  line 53 has invali
d file type Data/Users/[^/]*
/etc/selinux/targeted/contexts/files/file_contexts.homedirs:  line 54 has invali
d file type Data/Users/[^/]*
/etc/selinux/targeted/contexts/files/file_contexts.homedirs:  line 55 has invali
d file type Data/Users/lost\+found/.*
/etc/selinux/targeted/contexts/files/file_contexts.homedirs:  line 56 has invali
d file type Data/Users
/etc/selinux/targeted/contexts/files/file_contexts.homedirs:  line 57 has invali
d file type Data/Users/\.journal
/etc/selinux/targeted/contexts/files/file_contexts.homedirs:  line 58 has invali
d file type Data/Users/lost\+found
su: incorrect password
bash-3.2$ df -k /Network/Servers/mark.bme.utexas.edu/Volumes/Mark\ Data/Users
Filesystem           1K-blocks      Used Available Use% Mounted on
mark.bme.utexas.edu:/Volumes/Mark Data/Users
                     1464886912 1109086912 355800000  76% /Network/Servers/mark.
bme.utexas.edu/Volumes/Mark Data/Users
bash-3.2$ uname -a
Linux miles.bme.utexas.edu 2.6.23.14-115.fc8 #1 SMP Mon Jan 21 14:20:50 EST 2008
 i686 i686 i386 GNU/Linux
bash-3.2$ cat /etc/redhat-release
Fedora release 8 (Werewolf)
bash-3.2$ exit

Version-Release number of selected component (if applicable):
selinux-policy-3.0.8-84.fc8

How reproducible:
Always


Steps to Reproduce:
1. Create a user where the home directory path includes spaces.
2. su to that user.
3. Watch the error messages scroll by.

Actual Results:
The errors appear to be somewhat cosmetic, as the session does not appear to be affected.

Expected Results:
No error should have been produced.

Additional info:
See also:
https://bugzilla.redhat.com/show_bug.cgi?id=426871
https://bugzilla.redhat.com/show_bug.cgi?id=433133
Comment 1 Daniel Walsh 2008-08-01 11:49:06 EDT
This is just too difficult to fix,  So I guess the best I can say is don't do
that.  Or patches will be accepted.

Note You need to log in before you can comment on or make changes to this bug.